commit: d91824b43c1e1a63a01fec13e0c0c87c856d29ed
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 6 15:50:05 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 6 17:27:46 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d91824b4
python-any-r1.eclass: Mark eclass-generated variables read-only
eclass/python-any-r1.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 7d86b9a..82ead76 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -133,7 +133,7 @@ _python_any_set_globals() {
PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
done
- PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+ declare -g -r PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
}
_python_any_set_globals
unset -f _python_any_set_globals